Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 621032 - alsa mixer loopback default DISABLED
alsa mixer loopback default DISABLED
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 23:43 EDT by Gary Tivey
Modified: 2010-08-05 10:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 10:33:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Tivey 2010-08-03 23:43:56 EDT
Description of problem:
Alsa mixer loopback defult setting is 'OFF" (DISABLED)
TV sound applications not working

Version-Release number of selected component (if applicable):
AlsaMixer v1.0.23 

How reproducible:
Install Fedora 12
Media used in this case was downloaded Aug 2, and was Live version (Gnome)
2.6.32.16-141.fc12.x86_64 #1 SMP Wed Jul 7

Steps to Reproduce:
1. Install to disk from FC12 Live (x64) CD
2. Install Tvtime - V4linux application
3. Test Sound - Everthing but the TV card sound works!
  
Actual results:
NO SOUND

Expected results:
Expect the default alsa mixer configuration would ENABLE the loopback.
===This behavior is new to FC12 - previous versions did not need to enable loopback to get the TV sound working===

Additional info:
 Starting alsamixer appication in a terminal and turning on the loopback by using the obscure (>) key FIXES THE PROBLEM. I cannot fathom any reason to DEFAULT disable the 'Loopack'....
 
A better fix would be a SANE default configuration for alsamixer.
Comment 1 Jaroslav Kysela 2010-08-05 10:33:30 EDT
But what's sane behaviour? Allowing analog loopback by default is a bad idea - for example VoIP applications expect opposite setup. We cannot know, that the analog input is used for the TV sound. Use any alsamixer application to change the mixer settings of this configuration.

And in alsamixer, you can use cursor keys and 'm' (mute) key. Not sure, how we can make this program more user friendly.

Note You need to log in before you can comment on or make changes to this bug.